import React from "react";
import PageHeader from "./PageHeader";

export default function PageShell({
  title,
  subtitle,
  actions, // ReactNode (دکمه‌ها/فیلترها)
  children,
}) {
  return (
    <div className="w-full dark:text-white">
      <PageHeader title={title} subtitle={subtitle} right={actions} />
      {children}
    </div>
  );
}
